Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class InvalidSessionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.SessionException
                        |
                        +--com.novell.service.session.InvalidSessionException

public class InvalidSessionException
extends SessionException

Thrown when a session is no longer valid. This typically occurs when the session has been closed but the reference is still in use or when the invalid method has been called for any other reason.

See Also:
  Serialized Form

Constructor Summary
`InvalidSessionException(java.lang.String s)` Constructs an InvalidSessionException with the specified detail message.
`InvalidSessionException(java.lang.String s, java.lang.Throwable rootException)` Constructs an InvalidSessionException with a detail message and a root-cause exception.

Methods inherited from class com.novell.service.session.SessionException
`getRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSessionException

    public InvalidSessionException(java.lang.String s)

  Constructs an InvalidSessionException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - The detail message describing the exception.

### InvalidSessionException

    public InvalidSessionException(java.lang.String s,
                                   java.lang.Throwable rootException)

  Constructs an InvalidSessionException with a detail message and a root-cause exception. The root cause exception can be retrieved using the getRootCause() method.
  Parameters:
    `s` - The detail message describing the exception.
    `rootException` - The root-cause exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD